package com.ruoyi.web;

import com.ruoyi.common.annotation.Anonymous;
import com.ruoyi.common.core.domain.R;
import com.ruoyi.service.PdfTemplateManagementService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletResponse;

/**
 * @author gxk
 */
@Api(tags = "PDF模板管理")
@RestController
@RequestMapping("/pdf")
public class PdfTemplateManagementController {

    @Autowired
    private PdfTemplateManagementService pdfTemplateManagementService;

    /**
     * 检验报告PDF下载
     * @param response
     */
    @Anonymous
    @ApiOperation("检验报告PDF下载")
    @GetMapping(value = "/inspectionReport", produces = "application/json")
    public void download(HttpServletResponse response) {
        response.setHeader("content-disposition","attachment;fileName="+"ReceiptPrinter.pdf");
        try {
            // demo-模板
            pdfTemplateManagementService.generateInspectionReport(response);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    /**
     * 企业留档文件PDF下载
     * @param response
     */
    @Anonymous
    @ApiOperation("企业留档文件PDF下载")
    @GetMapping(value = "/retentionFile", produces = "application/json")
    public R<String> downloadRetentionFile() {
        try {
            // demo-模板
            String url = pdfTemplateManagementService.generateRetentionFile();
            return R.ok(url);
        } catch (Exception e) {
            e.printStackTrace();
            return R.fail();
        }
    }

}
